Subject: Re: OOM with hackbench against next 0708

From: Sachin Sant <[email-masked]>
Date: Fri, 10 Jul 2009 12:34:25 +0530

Dave Hansen wrote:
> This doesn't look like a kernel bug at all to me.  You're out of memory,
> out of swap, and the thing that got killed was the thing allocating
> memory.  You're also down to 65MB of pagecache, which is awfully low for
> a 6GB machine.  That tells me it's also been effective in reclaiming
> disk cache.
>
> There are a couple of possibilities:
> 1. hackbench is broken, allocating too much memory and ooming, or it
>    has been misconfigured by a user
> 2. hackbench broke because something the kernel is telling it is wrong
> 3. The kernel is leaking (or just plain using) some memory more than a
>    few releases ago, and that caused the oom.
>
> I'd go back and carefully examine how hackbench is being run and that it
> is consistent.  You should also double-check your finding that the
> several-day-old -next isn't seeing this issue.
>   
Thanks Dave for the pointers.

I am able to consistently recreate this issue with next 0708. hackbench
creates 3600 tasks in my case. After starting the tests machine becomes
unresponsive and i finally have to reboot it.

The test ran successfully on next03, but unfortunately i did
not save the config file for that run. If i use the config file from
0708 and compile a 0703, the machine becomes unresponsive because
of OOM's. I can't explain why the test ran successfully against
0703 :-( in previous attempt.

Only data point i have at this time is the same tests runs successfully
against 2.6.31-rc2. But may be that's not even an argument :-)

Thanks
-Sachin

-- 

---------------------------------
Sachin Sant
IBM Linux Technology Center
India Systems and Technology Labs
Bangalore, India
---------------------------------